%define _prefix /scisoft
%define _mandir %{_prefix}/man
%define _docdir %{_prefix}/doc

# Disable debuginfo since we are delivering prebuilt binaries.
%define debug_package %{nil}

Name:           scisoft-karma
Version:        1.7.25
Release:        1%{?dist}
Summary:        Development toolkit
Distribution:   Scisoft
License:        LGPL and GPL
Group:          Development/Languages
Packager:       Carlos Guirao
URL:            https://www.atnf.csiro.au/computing/software/karma/
Source0:        ftp://ftp.atnf.csiro.au/pub/software/karma/karma-%{version}-common.tar.bz2
Source1:        ftp://ftp.atnf.csiro.au/pub/software/karma/karma-%{version}-amd64_Linux_libc6.3.tar.bz2

AutoReqProv:    no
BuildRequires:  perl
Requires:       scisoft-common
Requires:       binutils

%description
Karma is a general purpose programmer's toolkit and contains KarmLib (the 
structured library and API) and a large number of modules (applications) to 
perform many standard tasks.

%prep
%setup -q -n karma-%{version}
%setup -q -T -D -b 1 -n karma-%{version}

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_datadir}
install -m 755 -d %{buildroot}%{_mandir}/man3
install -m 755 -d %{buildroot}%{_docdir}/karma

cd %{buildroot}%{_datadir}
cp -r %{_builddir}/karma-%{version} %{buildroot}%{_datadir}/
ln -s karma-%{version} karma
(cd karma; ln -s amd64_Linux_libc6.3/{bin,lib} . )

# debug 10 "step_0960_karma: compiling and installing ..."
perl -pi -e "s@/usr/physics/karma@/usr/physics/karma %{_datadir}/karma@" %{buildroot}%{_datadir}/karma/.login
perl -pi -e "s@/usr/physics/karma@/usr/physics/karma %{_datadir}/karma@" %{buildroot}%{_datadir}/karma/.karmarc

# Fix static path in example scripts:
perl -pi -e "s@/usr/local/karma/bin/cmshell@%{_datadir}/karma/bin/cmshell@" %{buildroot}%{_datadir}/karma/cm_script/example
perl -pi -e "s@/usr/local/karma/bin/cmshell@%{_datadir}/karma/bin/cmshell@" %{buildroot}%{_datadir}/karma/cm_script/kmodel-shell+kshell

#cd  %{buildroot}%{_docdir}/karma
#ln -s %{_datadir}/doc 

cd %{buildroot}%{_datadir}/karma/man/man3
for FILE in *; do
  ln -s %{_datadir}/karma/man/man3/$FILE %{buildroot}%{_mandir}/man3/$FILE
done

# Karma provides a bash/csh script that needs to be sourced but 
# it "polutes" the PATH
# Comment out the PATH definition
sed -i '99,100s/^/# /' %{buildroot}%{_datadir}/karma/.karmarc
sed -i '169,175s/^/# /' %{buildroot}%{_datadir}/karma/.login

# Link executables to %{_bindir}
cd %{buildroot}%{_datadir}/karma
for file in cm_script/* csh_script/* bin/*
do
  # some binaries conflicts with the ones from other pacakages, 
  # so we add a suffix 'karma' to them.
  case $file in
  *convert|*histogram|*kshell)
    ln -s ../share/karma/$file %{buildroot}%{_bindir}/`basename $file`-karma;;
  *)
    ln -s ../share/karma/$file %{buildroot}%{_bindir}/`basename $file` ;;
  esac
done

ln -s %{_datadir}/karma/www %{buildroot}%{_docdir}/karma/www

# Remove broken links, so finddanglinglinks does not complain.
rm -f %{buildroot}%{_datadir}/karma/{i386_Darwin,x86_64_Darwin}

# Ignore errors due to hardcoded RPATHs.
export QA_RPATHS=3


%files
%{_prefix}
%docdir %{_docdir}
%defattr(-,root,root,-)

%changelog
* Mon Mar 19 2018 Artur Szostak <aszostak@partner.eso.org> 1.7.25
- Incorporated into automated build system for Scisoft.
- Updated to use standardised RPM path location macros.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration
